Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 589418 - Automatic Refresh No Longer Works
Automatic Refresh No Longer Works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 01:27 EDT by David Le Sage
Modified: 2015-03-03 17:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Le Sage 2010-05-06 01:27:36 EDT
Description of problem:
Nautilus is no longer refreshing the display automatically.  If you save a file to the desktop or create a new directory via mkdir ~/newdirectory and then try to view in Nautilus, tehy will not appear.  User must manually refresh view.

Version-Release number of selected component (if applicable):
2.30.1-3

How reproducible:
Every time.

Steps to Reproduce:
1. Save a file to the Desktop from, say, a web browser.
2. Minimise all open windows.
3. File not visible on Desktop.
4. Places->Desktop to see Desktop directory in Nautilus window.  File still not visible.
5. From Nautilus, run View->Reload.
6.  File now appears.

1.  Open a terminal.
2. mkdir ~/newdir.
3. Open Nautilus and go to ~.
4. New subdirectory not visible.
5. From Nautilus, run View->Reload.
6.  File now appears.
  
Actual results:
Nautilus is not refreshing the desktop or any other folder automatically.  New files and directories cannot be seen until view is manually reloaded.

Expected results:
Should reload automatically. Files saved to Desktop should be seen immediately.

Additional info:
Comment 1 Matthias Clasen 2010-05-06 11:49:27 EDT
Hmm, works here. Possible that you ran out of inotify watches. Are you running some indexer, like tracker ?
Comment 2 David Le Sage 2010-05-06 17:57:41 EDT
Yes, I am indeed running tracker and I recently had another issue because it used up the inotify watchers so it is probably the culprit.  Will investigate a bit more.  Thanks!
Comment 3 Tomáš Bžatek 2010-05-07 05:56:23 EDT
One more thing to try is the gvfs-monitor-dir command, I'd be interested if it throws an error or not.
Comment 4 David Le Sage 2010-05-09 19:00:18 EDT
Hello Tomas,

I did a reboot the other day (for other reasons) and paused Tracker at that time and Nautilus is now functioning correctly.

I just ran the command as you suggested and it is not reporting any errors. It is just sitting there, even when I run "reload" in Nautilus, etc.


Cheers.
Comment 5 David Le Sage 2010-05-10 00:17:37 EDT
Actually, Nautilus does still need the refresh, even with Tracker paused, I have discovered from using it throughout today.  I basically rebooted my machine on Friday and paused Tracker (through its GUI) as soon as a I logged in so whether it had already consumed the inodes, I do not know. Nautilus definitely needs to be manually reloaded all of the time, though but gvfs-monitor-dir does not report any errors.
Comment 6 Bug Zapper 2011-06-02 10:26:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:07:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.